<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Бригады</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
    <link th:href="@{/styles/brigades.css}" rel="stylesheet"/>
</head>
<body>
<div class="wrapper">
    <header class="header_main">
    </header>

    <div class="body_main">
        <div class="railway_menu">
            <table class="railway_menu_table">
                <tr>
                    <th><a th:href="@{/employees}">Работники</a></th>
                    <th><a th:href="@{/brigades}">Бригады</a></th>
                    <th>Отделы</th>
                </tr>
            </table>
        </div>

        <div>
            <div class="brigades_main">
                <table class="table_content">
                    <tr>
                        <th>Номер бригады</th>
                        <th>Отдел</th>

                    </tr>
                    <tr th:each="brigade : ${brigades}">
                        <td th:utext="${brigade.brigadeID}"></td>
                        <td th:utext="${brigade.departmentName}"></td>
                    </tr>
                </table>
            </div>

            <div class="brigades_add">
                <div class="input_form">
                    <form method="post" th:action="@{/brigades/action/save}" th:object="${newBrigade}" >
                        <p align="center">Новая бригада</p>
                        <table>
                            <tr>
                                <th>Номер</th>
                                <td><label><input type="text" th:field="*{brigadeID}"></label></td>
                            </tr>

                            <tr>
                                <td th:if="${#fields.hasErrors('brigadeID')}" th:errors="*{brigadeID}" colspan="2">
                                    BrigadeID error
                                </td>
                            </tr>

                            <tr>
                                <th>Отдел</th>
                                <td>
                                    <label>
                                        <select th:field="*{departmentID}">
                                            <option th:each="department : ${departments}"
                                                    th:value="${department.key}"
                                                    th:text="${department.value}">
                                            </option>
                                        </select>
                                    </label>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <button class="add_button" type="submit">
                                        Добавить
                                    </button>
                                </td>
                            </tr>

                            <tr th:object="${error}">
                                <td th:if="${error}" colspan="2">
                                    Бригада с таким номером уже существует
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
            </div>

        </div>
    </div>

    <footer class="footer_main">
    </footer>
</div>

</body>
</html>